#pragma once
#include "../jabyengine_defines.hpp"

namespace JabyEngine {
    namespace CDDA {
        struct TrackList {
            uint8_t first_track;
            uint8_t last_track;

            static constexpr TrackList empty() {
                return TrackList{.first_track = 0, .last_track = 0};
            }
        };

        TrackList get_tracks();

        void play(uint8_t track);
        void stop();

        void push_play();
        void pop_play();
    }
}